## libaio-ocaml 1.0

=== Makefile ===
all:
	$(MAKE) -C lib $@

%:
	$(MAKE) -C lib $@

clean:
	$(MAKE) -C lib $@
	$(MAKE) -C examples $@

distclean:
	$(MAKE) -C lib $@
	$(MAKE) -C examples $@

test:
	$(MAKE) -C examples $@
