=== debian/changelog ===
libaio-ocaml (1.0-1) experimental; urgency=low

  * Initial Release (Closes: 662763).

 -- Goswin von Brederlow <goswin-v-b@web.de>  Tue, 06 Mar 2012 02:02:36 +0100
