## libaio-ocaml 1.0.1

=== debian/changelog ===
libaio-ocaml (1.0.1-1) experimental; urgency=low

  * Make test architecture independent.
  * Add get_{be,le,net}-{int,uint}8 aliases.
  * Preserve signedness when convertion endianness.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Wed, 21 Mar 2012 17:16:52 +0100
